shm_get_var
shm_remove_var
Semaphore, Shared Memory and IPC Funktionen
PHP Manual

# shm_put_var

(PHP 4, PHP 5)

shm_put_var — Aktualisiert eine Variable im Shared Memory

### Beschreibung

bool shm_put_var ( int `$shm_identifier` , int `$variable_key` , mixed `$variable` )

shm_put_var() aktualisiert eine Variable mit dem Schlüssel `variable` mit dem Wert `variable` oder fürgt sie ein falls noch nicht vorhanden.

Warnungen werden erzeugt (auf E_WARNING Stufe) wenn `shm_identifier` kein gültiges SysV Shared Memory Handle ist oder wenn nicht genügend Speicher im angegebenen Segment verfügbar ist.

### Parameter-Liste

`shm_identifier`

  Ein Shared Memory Resourcehandle wie von shm_attach() geliefert.

`variable_key`

  Der Variablenschlüssel.

`variable`

  Die Variable. Alle Variablentypen werden unterstützt.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

shm_get_var
shm_remove_var
Semaphore, Shared Memory and IPC Funktionen
PHP Manual